Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSoundBuffer Class Reference

`#include <deSound.hpp>`

Inheritance diagram for IdeSoundBuffer:

[legend]
Collaboration diagram for IdeSoundBuffer:

[legend]
List of all members.

## Public Types
enum | interface_t { iface_IdeSoundBuffer, iface_DirectSound, iface_EAX, iface_32Bit = 0x7fffffff }
## Public Member Functions
virtual void * | GetInterface (int interface_id)=0
virtual deBoolean | Initialize (IdeSoundSystem *ss, IdeSoundData *data)=0
virtual deBoolean | Destroy ()=0
virtual deBoolean | ApplySettings ()=0
virtual void | GetConfig (deSoundCfg &Cfg)=0
virtual void | SetConfig (deSoundCfg Cfg)=0
virtual deBoolean | SetVolume (long vol)=0
virtual deBoolean | SetPan (long pan)=0
virtual deBoolean | SetFrequency (long freq)=0
virtual long | GetVolume ()=0
virtual long | GetPan ()=0
virtual long | GetFrequency ()=0
virtual deBoolean | Play (deBoolean loop=(DE_FALSE))=0
virtual deBoolean | Update ()=0
virtual deBoolean | Stop (deBoolean rewind=(DE_TRUE))=0
virtual deBoolean | IsPlaying ()=0
## Protected Member Functions
virtual | ~IdeSoundBuffer ()

## Member Enumeration Documentation

enum IdeSoundBuffer::interface_t

  | Enumeration values:
  iface_IdeSoundBuffer |
  iface_DirectSound |
  iface_EAX |
  iface_32Bit |

## Constructor & Destructor Documentation

virtual IdeSoundBuffer::~IdeSoundBuffer | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeSoundBuffer::ApplySettings | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::Destroy | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual void IdeSoundBuffer::GetConfig | ( | deSoundCfg & | Cfg | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual long IdeSoundBuffer::GetFrequency | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual void* IdeSoundBuffer::GetInterface | ( | int | interface_id | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual long IdeSoundBuffer::GetPan | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual long IdeSoundBuffer::GetVolume | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::Initialize | ( | IdeSoundSystem * | ss,
|  | IdeSoundData * | data
| ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::IsPlaying | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::Play | ( | deBoolean | loop = (DE_FALSE) | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual void IdeSoundBuffer::SetConfig | ( | deSoundCfg | Cfg | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::SetFrequency | ( | long | freq | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::SetPan | ( | long | pan | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::SetVolume | ( | long | vol | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::Stop | ( | deBoolean | rewind = (DE_TRUE) | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

virtual deBoolean IdeSoundBuffer::Update | ( |  | ) | `[pure virtual]`

| Implemented in IdeSoundBuffer_DS.

The documentation for this class was generated from the following file:

- deSound.hpp